Function
globalChaining
Computes the chain on a set of fragments.
globalChaining(source, dest [, score] [, algorithm])
Include Headers
seqan/seeds.h
Parameters

source | The set of fragments. Remarks: This could be either a container of seeds or a SeedSet object.
dest | Container in which the result should be stored.
score | The gap scoring scheme. Default: Score Zero
algorithm | A tag that identifies the algorithm which is used for chaining. Values: Default: Compiler selects best algorithm. GenericChaining: A simple generic chaining algorithm. RangetreeChaining: An elaborated chaining algorithm for Score Zero, Score Manhattan, and Score ChainSoP scoring schemes. Default: Default

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47